%define upstream_name    File-Fu
%define upstream_version v0.0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Temporary files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Classy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.8-10.mga10
+ Revision: 2198722
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.8-9.mga9
+ Revision: 1803628
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.8-8.mga8
+ Revision: 1494487
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.8-7.mga7
+ Revision: 1268040
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.8-6.mga6
+ Revision: 1027307
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.0.8-5.mga6
+ Revision: 930764
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-4.mga5
+ Revision: 742665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-3.mga5
+ Revision: 684732
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.0.8-2.mga4
+ Revision: 537145
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.0.8-1.mga4
+ Revision: 486385
- update to v0.0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-3.mga3
+ Revision: 367260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.0.7-2.mga3
+ Revision: 326457
- fix build on tmpfs (rt#57472)

* Thu Oct 20 2011 jquelin <jquelin> 0.0.7-1.mga2
+ Revision: 156813
- imported package perl-File-Fu


* Thu Oct 20 2011 cpan2dist v0.0.7-1mga
- initial mageia release, generated with cpan2dist
